Subject: Re: bug#30467: GuixSD fails to display login prompt on headless server

From: George myglc2 Clemmer <[email-masked]>
Date: Thu, 15 Feb 2018 16:29:11 -0500

Hi Danny & Leo,

Thanks for the quick response!

On 02/15/2018 at 15:54 Danny Milosavljevic writes:

> Hi George,
>
> Leo added a comment to the services/base.scm code:
>
> ;;; FIXME This doesn't work as expected. According to agetty(8), if this option
> ;;; is not passed, then the default is 'auto'. However, in my tests, when that
> ;;; option is selected, agetty never presents the login prompt, and the
> ;;; term-ttyS0 service respawns every few seconds.
>                                 #$@(if local-line
>                                        #~(#$(match local-line
>                                               ('auto "--local-line=auto")
>                                               ('always "--local-line=always")
>                                               ('never "-local-line=never")))
>                                        #~())
>
> So try specifying local-line ?

Not clear what you wanted so I didn't try this.

> Also, can you try updating again?
>
> I've pushed some agetty consolidation to guix-master (only) today.

I did that, see below ...

> Also, you have
>
>  (kernel-arguments '("console=ttyS1,115200"))
>
> AND
>
> (agetty-service (agetty-configuration (tty "ttyS1")
> 							 (baud-rate "115200")))
> Starting today, the second one will be automatically configured by
> %base-services.

I removed agetty-service but agetty didn't run, see below ...

> So please keep your config the same and reconfigure and let's see what
> happens.

I did git-pull & make to get guix (GNU Guix) 0.14.0.1879-06a9 and 'guix
system reconfigure' >>> the console is still blank.  (my G36)

> In the long run please remove your agetty-service, it should automatically appear
> (it recovers the settings from the "console" kernel-argument).

Then I removed agetty-service, reconfigured and rebooted >>> the console
is still blank. (my G37, sys.scm attached)

FWIW, I don't see agetty running ...

g1@g1 ~$ pstree -a -A
shepherd --no-auto-compile/gnu/store/hjfwjz9g0jrjcyggybi
  |-dhclient -nw -pf /var/run/dhclient.pid enp4s0enp3
  |-guix-daemon --build-users-group guixbuild--
  |-mingetty --noclear tty6
  |-mingetty --noclear tty5
  |-mingetty --noclear tty4
  |-mingetty --noclear tty3
  |-mingetty --noclear tty2
  |-mingetty --noclear tty1
  |-nscd -f/gnu/store/gh3xhwgh927md5ifzdmg0cgpqc0as1sh-ns
  |   `-7*[{nscd}]
  |-ntpd -n -c/gnu/store/1l1yf5dss8r9pqxklaax32s6bkah09c
  |   `-{ntpd}
  |-sshd -D -f/gnu/store/7z8qc04s48cgzvpc77715r3ckh7qr
  [...]
  |-syslogd --rcfile/gnu/store/y5nrfbj52vlnj77iyk
  |-udevd
  `-8*[{shepherd}]

TIA - George